Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSliderUI.TrackListener

    java.lang.Object
      |
      +--javax.swing.event.MouseInputAdapter
            |
            +--javax.swing.plaf.basic.BasicSliderUI.TrackListener

public class BasicSliderUI.TrackListener
extends MouseInputAdapter

Track mouse movements. This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of .

Field Summary
`protected int` | `currentMouseX`
`protected int` | `currentMouseY`
`protected int` | `offset`

Constructor Summary
`BasicSliderUI.TrackListener()`

Method Summary
`void` | `mouseDragged(java.awt.event.MouseEvent e)` Set the models value to the position of the top/left of the thumb relative to the origin of the track.
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)` If the mouse is pressed above the "thumb" component then reduce the scrollbars value by one page ("page up"), otherwise increase it by one page.
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`boolean` | `shouldScroll(int direction)`

Methods inherited from class javax.swing.event.MouseInputAdapter
`mouseClicked, mouseEntered, mouseExited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### offset

    protected transient int offset

### currentMouseX

    protected transient int currentMouseX

### currentMouseY

    protected transient int currentMouseY

Constructor Detail

### BasicSliderUI.TrackListener

    public BasicSliderUI.TrackListener()

Method Detail

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Overrides:
    mouseReleased in class MouseInputAdapter

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  If the mouse is pressed above the "thumb" component then reduce the scrollbars value by one page ("page up"), otherwise increase it by one page. If there is no thumb then page up if the mouse is in the upper half of the track.
  Overrides:
    mousePressed in class MouseInputAdapter

### shouldScroll

    public boolean shouldScroll(int direction)

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Set the models value to the position of the top/left of the thumb relative to the origin of the track.
  Overrides:
    mouseDragged in class MouseInputAdapter

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Overrides:
    mouseMoved in class MouseInputAdapter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.